Subject: Re: [lamps] I-D Action: draft-ietf-lamps-cmp-updates-16.txt

From: "Brockhaus, Hendrik" <[email-masked]>
Date: Mon, 3 Jan 2022 11:20:35 +0000

Russ

Many thanks for your shepherd write-up.
The three CMP related IDs in LAMPS and the one in ACE should be published together.
Maybe the interdependence with draft-ietf-ace-cmpv2-coap-transport regarding the Well-Known URI 'cmp' should be mentioned.

Hendrik

> Von: Spasm <[email-masked]> Im Auftrag von Russ Housley
> Gesendet: Mittwoch, 22. Dezember 2021 17:28
> 
> Thanks for the update to the boilerplate.
> 
> I just posted the shepherd write-up:
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatra
> cker.ietf.org%2Fdoc%2Fdraft-ietf-lamps-cmp-
> updates%2Fshepherdwriteup%2F&amp;data=04%7C01%7Chendrik.brockhaus
> %40siemens.com%7Ce8ff0b576c12446e2ac008d9c5680d8f%7C38ae3bcd9579
> 4fd4addab42e1495d55a%7C1%7C0%7C637757872968945329%7CUnknown%7
> CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiL
> CJXVCI6Mn0%3D%7C3000&amp;sdata=YM8WPxLadPYmjswplBkOTMYJ8KiE9sx
> AFiWilu2XQhU%3D&amp;reserved=0
> 
> Please let me know if anything needs to be adjusted.
> 
> For the LAMPS WG chairs,
>   Russ
> 
> 
> > On Dec 22, 2021, at 4:02 AM, [email-masked] wrote:
> >
> >
> > A New Internet-Draft is available from the on-line Internet-Drafts directories.
> > This draft is a work item of the Limited Additional Mechanisms for PKIX and
> SMIME WG of the IETF.
> >
> >        Title           : Certificate Management Protocol (CMP) Updates
> >        Authors         : Hendrik Brockhaus
> >                          David von Oheimb
> >                          John Gray
> > 	Filename        : draft-ietf-lamps-cmp-updates-16.txt
> > 	Pages           : 69
> > 	Date            : 2021-12-22
> >
> > Abstract:
> >   This document contains a set of updates to the syntax and transfer of
> >   Certificate Management Protocol (CMP) version 2.  This document
> >   updates RFC 4210, RFC 5912, and RFC 6712.
> >
> >   The aspects of CMP updated in this document are using EnvelopedData
> >   instead of EncryptedValue, clarifying the handling of p10cr messages,
> >   improving the crypto agility, as well as adding new general message
> >   types, extended key usages to identify certificates for use with CMP,
> >   and '.well-known' HTTP path segments.
> >
> >   To properly differentiate the support of EnvelopedData instead of
> >   EncryptedValue, the CMP version 3 is introduced in case a transaction
> >   is supposed to use EnvelopedData.
> >
> >   CMP version 3 is introduced to enable signaling support of
> >   EnvelopedData instead of EncryptedValue and signaling the use of an
> >   explicit hash AlgorithmIdentifier in certConf messages, as far as
> >   needed.
> >
> >
> > The IETF datatracker status page for this draft is:
> >
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatra
> cker.ietf.org%2Fdoc%2Fdraft-ietf-lamps-cmp-
> updates%2F&amp;data=04%7C01%7Chendrik.brockhaus%40siemens.com%7C
> e8ff0b576c12446e2ac008d9c5680d8f%7C38ae3bcd95794fd4addab42e1495d5
> 5a%7C1%7C0%7C637757872968945329%7CUnknown%7CTWFpbGZsb3d8eyJ
> WIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7
> C3000&amp;sdata=zWmphHAH8KT9iMQXypS9YfBU6mudM5wMYggkQG8cJB
> w%3D&amp;reserved=0
> >
> > There is also an HTML version available at:
> >
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ie
> tf.org%2Farchive%2Fid%2Fdraft-ietf-lamps-cmp-updates-
> 16.html&amp;data=04%7C01%7Chendrik.brockhaus%40siemens.com%7Ce8ff
> 0b576c12446e2ac008d9c5680d8f%7C38ae3bcd95794fd4addab42e1495d55a%
> 7C1%7C0%7C637757872968945329%7CUnknown%7CTWFpbGZsb3d8eyJWIjoi
> MC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C300
> 0&amp;sdata=GNfAekI9FBxqcixFjf7EOUsSA3x57mxoZnGuC9PtA0I%3D&amp;re
> served=0
> >
> > A diff from the previous version is available at:
> >
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ie
> tf.org%2Frfcdiff%3Furl2%3Ddraft-ietf-lamps-cmp-updates-
> 16&amp;data=04%7C01%7Chendrik.brockhaus%40siemens.com%7Ce8ff0b576
> c12446e2ac008d9c5680d8f%7C38ae3bcd95794fd4addab42e1495d55a%7C1%
> 7C0%7C637757872968945329%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4
> wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&a
> mp;sdata=UH340TJR9qCuOMnwPLtdjqpYLnI5n2wZywmfXP15EgE%3D&amp;re
> served=0
> >
> >
> > Internet-Drafts are also available by rsync at rsync.ietf.org::internet-drafts
> >
> >
> > _______________________________________________
> > Spasm mailing list
> > [email-masked]
> >
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ie
> tf.org%2Fmailman%2Flistinfo%2Fspasm&amp;data=04%7C01%7Chendrik.broc
> khaus%40siemens.com%7Ce8ff0b576c12446e2ac008d9c5680d8f%7C38ae3bcd
> 95794fd4addab42e1495d55a%7C1%7C0%7C637757872968945329%7CUnkno
> wn%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1h
> aWwiLCJXVCI6Mn0%3D%7C3000&amp;sdata=VWBTbGqy4OIYbdsV7b2WKfSS
> pdzii%2B1JFzUQ8oeUyMk%3D&amp;reserved=0
> 
> _______________________________________________
> Spasm mailing list
> [email-masked]
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ie
> tf.org%2Fmailman%2Flistinfo%2Fspasm&amp;data=04%7C01%7Chendrik.broc
> khaus%40siemens.com%7Ce8ff0b576c12446e2ac008d9c5680d8f%7C38ae3bcd
> 95794fd4addab42e1495d55a%7C1%7C0%7C637757872968945329%7CUnkno
> wn%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1h
> aWwiLCJXVCI6Mn0%3D%7C3000&amp;sdata=VWBTbGqy4OIYbdsV7b2WKfSS
> pdzii%2B1JFzUQ8oeUyMk%3D&amp;reserved=0

---

From: Russ Housley <[email-masked]>
Date: Mon, 3 Jan 2022 10:19:20 -0500

We can tell the IESG the desire for them to be published together, but please know that is a request, not a requirement.

Russ

> On Jan 3, 2022, at 6:20 AM, Brockhaus, Hendrik <[email-masked]> wrote:
> 
> Russ
>